Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api
Interface BVElementInfo

All Superinterfaces:
  java.io.Serializable

    public interface BVElementInfo

extends java.io.Serializable

Represents a BV element.

Since:
  version 13.1

Nested Class Summary
`static class` | `BVElementInfo.BVElementType` Represents BV element type.

Method Summary
`java.util.List<BVElementInfo>` | `getAggregations()` get aggregations under this BV element if `getType()` return `BVElementInfo.BVElementType.CATEGORY`
`java.util.List<BVElementInfo>` | `getCategories()` get categories under this BV element if `getType()` return `BVElementInfo.BVElementType.CATEGORY`
`java.util.List<BVElementInfo>` | `getDetails()` get details under this BV element if `getType()` return `BVElementInfo.BVElementType.CATEGORY`
`java.lang.String` | `getDisplayName()` get display name
`java.util.List<BVElementInfo>` | `getGroups()` get grouops under this BV element if `getType()` return `BVElementInfo.BVElementType.CATEGORY`
`java.lang.String` | `getQualifyDisplayName()` get qualify display name
`BVElementInfo.BVElementType` | `getType()` get BV element type

Method Detail

### getType

    BVElementInfo.BVElementType getType()

  get BV element type

  Returns:
    element of `BVElementInfo.BVElementType`

### getDisplayName

    java.lang.String getDisplayName()

  get display name

  Returns:
    display name

### getQualifyDisplayName

    java.lang.String getQualifyDisplayName()

  get qualify display name

  Returns:
    qualify display name, which is generated by its display name and upper categories display name, format: [category names...].

### getCategories

    java.util.List<BVElementInfo> getCategories()

  get categories under this BV element if `getType()` return `BVElementInfo.BVElementType.CATEGORY`

  Returns:
    `BVElementInfo` objects with `getType()` return `BVElementInfo.BVElementType.CATEGORY` if this object's `getType()` return `BVElementInfo.BVElementType.CATEGORY`, return empty list if no category under this BV element, return null when `getType()` does not return `BVElementInfo.BVElementType.CATEGORY`

### getGroups

    java.util.List<BVElementInfo> getGroups()

  get grouops under this BV element if `getType()` return `BVElementInfo.BVElementType.CATEGORY`

  Returns:
    `BVElementInfo` objects with `getType()` return `BVElementInfo.BVElementType.GROUP` if this object's `getType()` return `BVElementInfo.BVElementType.CATEGORY`, return empty list no group under this BV element, return null when `getType()` does not return `BVElementInfo.BVElementType.CATEGORY`

### getAggregations

    java.util.List<BVElementInfo> getAggregations()

  get aggregations under this BV element if `getType()` return `BVElementInfo.BVElementType.CATEGORY`

  Returns:
    `BVElementInfo` objects with `getType()` return `BVElementInfo.BVElementType.AGGREGATION` if this object's `getType()` return `BVElementInfo.BVElementType.CATEGORY`, return empty list if no aggregation under this BV element, return null when `getType()` does not return `BVElementInfo.BVElementType.CATEGORY`

### getDetails

    java.util.List<BVElementInfo> getDetails()

  get details under this BV element if `getType()` return `BVElementInfo.BVElementType.CATEGORY`

  Returns:
    `BVElementInfo` objects with `getType()` return `BVElementInfo.BVElementType.DETAILS` if this object's `getType()` return `BVElementInfo.BVElementType.CATEGORY`, return empty list if no details under this BV element, return null when `getType()` does not return `BVElementInfo.BVElementType.CATEGORY`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD